Faking revison

Discussion in 'iOS Jailbreak & Cydia' started by varied, Feb 10, 2010.

  1. varied

    varied New Member

    Joined:
    Feb 7, 2009
    Messages:
    6
    Likes Received:
    0
    Hello there!

    As you know some apps have some restrictions based on which iPod they are running. Some painting apps have more layers allowed on iPhone 3GS and iPod touch 3rd gen than on older iPhones and iPods. So the question is if it is possible to somehow make an app to think that you have different revision? Hope the question is clear.

    Thanks in advance and in anyway!
  2. Axis

    Axis Super Moderator Staff Member

    Joined:
    Dec 2, 2007
    Messages:
    6,288
    Likes Received:
    133
    Device:
    iPhone 4S (White)
    The developers put limitations in their apps for the sake of user experience. They're not trying to screw you.
  3. varied

    varied New Member

    Joined:
    Feb 7, 2009
    Messages:
    6
    Likes Received:
    0
    I know that, but I don't mind some freezes or even crashes.
  4. sageDieu

    sageDieu Banned

    Joined:
    Dec 2, 2009
    Messages:
    1,036
    Likes Received:
    0
    Device:
    2G iPod touch
    You might be able to check the info.plist in the .app folder, there might be a string in that or another property list file that designates the limitations for different devices.
  5. varied

    varied New Member

    Joined:
    Feb 7, 2009
    Messages:
    6
    Likes Received:
    0
    Thank you for the reply!

    I have done that already, even checked all other plist files - no luck. I guess, it's in code.
    Then I tried some other apps which have some limitations on old ipod/iphone revisions. The same thing.

    And thanks again!
  6. sageDieu

    sageDieu Banned

    Joined:
    Dec 2, 2009
    Messages:
    1,036
    Likes Received:
    0
    Device:
    2G iPod touch
    You're welcome. I tried this last night with the GuitarToolkit app to convince it that I have an iPhone and can use the guitar tuner... I looked in every single plist in the app and found nothing. No solution there. I know one of the mods was talking about a dylib tweak that made his iPhone think it was an iPad to screw with Apple... maybe something like that would work.
  7. narwal13

    narwal13 Active Member

    Joined:
    Oct 12, 2009
    Messages:
    3,070
    Likes Received:
    6
    Device:
    5G iPod touch
    i found in one of the plists for a NOVA and CoD Zombies that can make it run on 2.0 cuz the minimal fw version those can run on is 2.2.1.

    Please Register or Log in to view images

  8. lauNchD

    lauNchD Well-Known Member

    Joined:
    Jan 27, 2008
    Messages:
    1,844
    Likes Received:
    261
    Device:
    iPhone 5 (Black)
    The plist restrictions usually only apply for the actual download/install process on iTunes. To add/restrict features in the app, UIDevice or sysctl calls are needed. I think making a MobileSubstrate extension that spoofs these values would be very easy; it'd just be overriding a function.
  9. narwal13

    narwal13 Active Member

    Joined:
    Oct 12, 2009
    Messages:
    3,070
    Likes Received:
    6
    Device:
    5G iPod touch
    you can make MC:S run on 2.1 or 2.1.1

  10. Dónde?

    Dónde? New Member

    Joined:
    Jan 15, 2010
    Messages:
    163
    Likes Received:
    0
    Device:
    iPhone 3G (Black)
    Sorry but this is all in code, device detection.

    If it's not in the plists, your f***ed.

Share This Page